Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 51)
@@ -2483,17 +2672,19 @@
         {
             try
             {
+                // 受注金額
+                double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
                 // 工期取得
                 double BetweenTimes = 0;
-                // デフォルト項目
-                string ItemString = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.InstructorCosts];
                 // 給与計算
                 double CostsValue = 0;
                 // 工事内容
                 string Content = string.Empty;
+                // 構成比率
+                double AmountConfigRate = 0;
 
                 // 指導員コードの設定           
-                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int CodeType = (int)CommonDefine.CodeDataType.Person;
                 int PersonCode = m_Instructor;
 
                 // 設定無時はセットしない
@@ -2502,10 +2693,47 @@
                 // ----- 全日振分
                 // 工期取得
                 BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                // 給与計算
-                CostsValue = CommonMotions.cnvRound(CommonDefine.InstructorMonthryCost * BetweenTimes);
-                Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                // 着工日
+                DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
+                // 完了日
+                DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
 
+                // 稼働日数取得
+                int workingCount = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+                // 支払い給与計算
+                CommonMotions.CalcPayValueData(CommonDefine.InstructorMonthryCost, OrdersPrice, workingCount, ref CostsValue, ref AmountConfigRate, false);
+                // 給与コンテンツセット
+                Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes.ToString("0.00"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
+
+                // 差分日付
+                int dDiffDays = 0;
+                // ----- 増減工事のこの場合は期間が同じかのチェックを行う
+                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                {
+                    // 親の期間を取得する
+                    DateTime StDate = m_FluctuationBaseInfo.ConstructionPeriodStart2;
+                    DateTime EdDate = m_FluctuationBaseInfo.ConstructionPeriodEnd2;
+                    if (StDate == DateTime.MinValue) StDate = m_FluctuationBaseInfo.ConstructionPeriodStart;
+                    if (EdDate == DateTime.MinValue) EdDate = m_FluctuationBaseInfo.ConstructionPeriodEnd;
+                    // 期間が同じ場合は処理しない
+                    if (StDate == m_FluctuationBaseInfo.ConstructionPeriodStart && EdDate == m_FluctuationBaseInfo.ConstructionPeriodEnd)
+                    {
+                        CostsValue = 0;
+                        Content = string.Empty;
+                    }
+                    else
+                    {
+                        // 差分日付を取得する
+                        dDiffDays = CalcDifferenceDate(m_ConstructionBaseInfo.ConstructionPeriodStart,
+                                                        m_ConstructionBaseInfo.ConstructionPeriodEnd);
+                        // 支払い給与計算
+                        CommonMotions.CalcPayValueData(CommonDefine.InstructorMonthryCost, OrdersPrice, dDiffDays, ref CostsValue, ref AmountConfigRate, false);
+                        // 給与コンテンツセット
+                        Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                ClsCalendar.cnvMonthFromDays(dDiffDays).ToString("0.00"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                    }
+                }
+
                 // 工事内容
                 if (!CheckUserAndLeader()) Content = string.Empty;
 
@@ -2515,10 +2743,14 @@
                 if (CreateRowLine)
                 {
                     object[] RowData = new object[Enum.GetNames(typeof(GridColumn)).Length];
+                    string title1 = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.InstructorCosts];
+                    string title2 = string.Empty;
+                    if (m_DspLabelLocalData[(int)DspLblCtrlName.InstructorName].Length != 0)
+                        title2 = string.Format("【{0}氏】", m_DspLabelLocalData[(int)DspLblCtrlName.InstructorName]);
                     // データセット
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.InstructorCosts;
-                    RowData[(int)GridColumn.ItemName] = ItemString;
+                    RowData[(int)GridColumn.ItemName] = string.Format("{0}{1}", title1, title2);
                     RowData[(int)GridColumn.TextName] = Content;
                     RowData[(int)GridColumn.CompanyType] = CodeType;
                     RowData[(int)GridColumn.CompanyCode] = PersonCode;
@@ -2549,15 +2781,6 @@
                 CurRow.Cells[(int)GridColumn.HopePrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
-
-                // 粗利益行計算
-                CreateGrossProfit(false);
-
-                // 純利益計算
-                CreateNetIncome(false);
-
-                // 合計計算
-                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
@@ -2668,9 +2891,12 @@
                 // 承認済みは処理しない
                 if (ApprovalCheck()) return true;
 
-                // 割合がセットされていなければ処理しない
-                if (DetailRec.AmountConfigRate == 0) return false;
+                //// 割合がセットされていなければ処理しない
+                //if (DetailRec.AmountConfigRate == 0) return false;
 
+                // 名前がセットされていなければ処理しない
+                if (DetailRec.FirstString.Length == 0) return false;
+
                 // 受注金額取得
                 double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
                 // 経費率計算
@@ -2697,35 +2923,17 @@
         }
         #endregion
 
-        #region 給与経費行作成・再計算
+        #region 担当者給与表示データ作成
         /// <summary>
-        /// 給与経費行作成・再計算
+        /// 担当者給与表示データ作成
         /// </summary>
-        /// <returns></returns>
-        private void CreatePayrollCosts(bool CreateRowLine)
+        private void CreatePayrollString(ref double BetweenTimes, ref int monthSalary, ref double CostsValue, ref string Content, ref double AmountConfigRate)
         {
             try
             {
-                // 16期以降は給与を表示する
-                if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+                // 受注金額
+                double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
 
-                // 工期取得
-                double BetweenTimes = 0;
-                // 給与単価
-                int monthSalary = 0;
-                // 給与計算
-                double CostsValue = 0;
-                // 文字列
-                string Content = string.Empty;
-
-                // 工事担当者コードの設定           
-                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
-                int PersonCode = m_Constructor;
-
-                // 設定無時はセットしない
-                if (PersonCode == 0) goto GridSet;
-                if (!pnlGroup1.Visible) goto GridSet;
-
                 if (radioButton1.Checked)
                 {   // ----- 全日振分
                     // 工期取得
@@ -2736,23 +2944,19 @@
                     // 完了日
                     DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
 
-                    // 稼働日取得
-                    //int WorkingDay = ClsCalendar.CalcOperatingDaysCount(dtStart, dtLast);
-                    int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
-
                     // 給与単価
                     monthSalary = m_CreatorMonthryCost;
-
-                    double daylySalary = CommonMotions.cnvRound(monthSalary / CommonDefine.s_ManHourUnitMonth);
-
-                    // 給与計算
-                    CostsValue = CommonMotions.cnvRound(daylySalary * WorkingDay);
-                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, monthSalary.ToString("#,0"));
+                    // 稼働日数取得
+                    int workingCount = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+                    // 支払い給与計算
+                    CommonMotions.CalcPayValueData(monthSalary, OrdersPrice, workingCount, ref CostsValue, ref AmountConfigRate);
+                    // 給与コンテンツセット
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                            BetweenTimes.ToString("0.00"),
+                                            (monthSalary * CommonDefine.s_SalaryCorrection).ToString("#,0"));
                 }
                 else if (radioButton2.Checked)
                 {
-                    CodeType = 0;
-                    PersonCode = 0;
                 }
                 else if (radioButton3.Checked)
                 {   // ----- 日数指定
@@ -2761,23 +2965,102 @@
                     // 担当給与
                     monthSalary = m_CreatorMonthryCost;
                     // 日額給与取得
-                    double daylySalary = CommonMotions.cnvRound(monthSalary / CommonDefine.s_ManHourUnitMonth);
-                    CostsValue = daylySalary * daycount;
-                    Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
+                    CommonMotions.CalcPayValueData(monthSalary, OrdersPrice, daycount, ref CostsValue, ref AmountConfigRate);
+                    // 給与計算
+                    //CostsValue = daylySalary * daycount;
+                    // 給与コンテンツセット
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                            ClsCalendar.cnvMonthFromDays(daycount).ToString("0.00"), 
+                                            (monthSalary * CommonDefine.s_SalaryCorrection).ToString("#,0"));
                 }
 
                 // ユーザーは金額を見れない
                 if (!CheckUserAndLeader()) Content = string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
+        #region 給与経費行作成・再計算
+        /// <summary>
+        /// 給与経費行作成・再計算
+        /// </summary>
+        /// <returns></returns>
+        private void CreatePayrollCosts(bool CreateRowLine)
+        {
+            try
+            {
+                // ----- 増減工事のこの場合は期間が同じかのチェックを行う
+                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                {
+                    // 親の期間を取得する
+                    DateTime StDate = m_FluctuationBaseInfo.ConstructionPeriodStart;
+                    DateTime EdDate = m_FluctuationBaseInfo.ConstructionPeriodEnd;
+                    // 期間が同じ場合は処理しない
+                    if (StDate == m_ConstructionBaseInfo.ConstructionPeriodStart && EdDate == m_ConstructionBaseInfo.ConstructionPeriodEnd)
+                    {
+                        //radioButton2.Checked = true;
+                    }
+                    else
+                    {
+                        int dDiffDays = 0;
+                        if (radioButton1.Checked)
+                        {
+                            // 全日時の日付を計算する
+                            dDiffDays = CalcDifferenceDate(m_ConstructionBaseInfo.ConstructionPeriodStart,
+                                                                m_ConstructionBaseInfo.ConstructionPeriodEnd);
+                        }
+                        else
+                        {
+                            dDiffDays = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.SalaryDays].Text);
+                        }
+
+                        // 日付をセット
+                        m_DspLabelCtrl[(int)DspLblCtrlName.SalaryDays].Text = dDiffDays.ToString("#,0");
+                    }
+                }
+
+                // 16期以降は給与を表示する
+                if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+
+                // 受注金額
+                //double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
+                // 工期取得
+                double BetweenTimes = 0;
+                // 給与単価
+                int monthSalary = 0;
+                // 給与計算
+                double CostsValue = 0;
+                // 文字列
+                string Content = string.Empty;
+                // 構成比率
+                double AmountConfigRate = 0;
+                
+                // 工事担当者コードの設定           
+                int CodeType = (int)CommonDefine.CodeDataType.Person;
+                int PersonCode = m_Constructor;
+
+                // 設定無時はセットしない
+                if (PersonCode == 0) goto GridSet;
+                if (!pnlGroup1.Visible) goto GridSet;
+
+                // 表示文字列作成
+                CreatePayrollString(ref BetweenTimes, ref monthSalary, ref CostsValue, ref Content, ref AmountConfigRate);
+
             GridSet:
                 DataGridView dgv = dgvAllDisplay;
                 if (CreateRowLine)
                 {
                     object[] RowData = new object[Enum.GetNames(typeof(GridColumn)).Length];
+                    string title1 = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.PayrollExpenses];
+                    string title2 = m_DspLabelLocalData[(int)DspLblCtrlName.CreatorName];
                     // データセット
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)FrmConstructionBudget.DataGroup.PayrollExpenses;
-                    RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)FrmConstructionBudget.DataGroup.PayrollExpenses];
+                    RowData[(int)GridColumn.ItemName] = string.Format("{0}【{1}氏】", title1, title2);
                     RowData[(int)GridColumn.TextName] = Content;
                     RowData[(int)GridColumn.CompanyType] = CodeType;
                     RowData[(int)GridColumn.CompanyCode] = PersonCode;
@@ -2808,19 +3091,37 @@
                 CurRow.Cells[(int)GridColumn.HopePrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
                 CurRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
-                // 粗利益行計算
-                CreateGrossProfit(false);
+        #region 差分の日数を返す
+        /// <summary>
+        /// 差分の日数を返す
+        /// </summary>
+        /// <returns></returns>
+        public static int CalcDifferenceDate(DateTime StDate, DateTime EdDate)
+        {
+            try
+            {
+                int iRet = 0;
 
-                // 純利益計算
-                CreateNetIncome(false);
+                // ----- 当初日数
+                // 経過日数を求める
+                TimeSpan tsdays = EdDate.Date - StDate.Date;
+                // 計算では当日の時間引くので＋１する
+                iRet = (int)(tsdays.Days + 1.0);
 
-                // 合計計算
-                CreateAllTotal(false);
+                return iRet;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
             }
         }
         #endregion
@@ -3115,11 +3416,23 @@
                 // 金額入力の制御
                 SetData.Cells[(int)GridColumn.HopePrice].ReadOnly = false;
                 SetData.Cells[(int)GridColumn.ExecPrice].ReadOnly = false;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {   // 工事担当者は希望金額のみ入力が可能
-                    SetData.Cells[(int)GridColumn.ExecPrice].ReadOnly = true;
+
+                // 新セキュリティデータ対応済みかを確認する
+                bool bReadOnly = false;
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                    if (CommonMotions.LoginUserData.SecurityManagement == User) bReadOnly = true;
                 }
+                else
+                {
+                    int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;            // 一般ユーザー
+                    if (CommonMotions.LoginUserSecurity.SecRank == User) bReadOnly = true;
+                }
 
+                // 工事担当者は希望金額のみ入力が可能
+                SetData.Cells[(int)GridColumn.ExecPrice].ReadOnly = bReadOnly;
+                
                 // 自分より下の集計行を加算する
                 for (int i = GroupLineNo + 1; i < m_CostsRowCount.Length; i++)
                 {
@@ -3917,7 +4230,7 @@
                 // ----- 工事コード・承認機能番号取得
                 int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
-                if (!ClsApprovalPermission.CheckPetition(iConstructionCode, iApprovalCode)) return;
+                if (!ClsApprovalPermission.CheckPetition(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo)) return;
 
                 // ----- 申請済の場合
                 // 申請ボタンの表示
@@ -3930,7 +4243,7 @@
                 btnApproval.Visible = true;
 
                 // ----- 承認済の場合
-                if (ClsApprovalPermission.CheckApproval(iConstructionCode, iApprovalCode))
+                if (ClsApprovalPermission.CheckApproval(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo))
                 {
                     btnApproval.Text = CommonDefine.ApprovalButtonString[1];
                     btnApproval.ForeColor = Color.Black;
@@ -3964,10 +4277,10 @@
                 int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
                 // 担当部署取得
-                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode);
+                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認データ取得
-                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(iConstructionCode, iApprovalCode);
+                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認経路マスタ取得
                 int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
@@ -4055,33 +4368,6 @@
         }
         #endregion
 
-        #region 参照モード
-        /// <summary>
-        /// 参照モードにして各コントロールへロックをかける
-        /// </summary>
-        private void SeeModeLock()
-        {
-            try
-            {
-                dgvAllDisplay.ReadOnly = true;
-                pnlApproval.Visible = false;
-                pnlApprovalButton.Visible = false;
-                
-                // 最後にボタンの処理を行う
-                btnApprovalList.Visible = false;
-                btnDataEntry.Visible = false;
-                btnDataDelete.Visible = false;
-                btnLineAdd.Visible = false;
-                btnLineDel.Visible = false;
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region セルの入力後処理
         /// <summary>
         /// セルの入力後処理
@@ -4154,18 +4440,18 @@
                 DataGridViewRow wrkRow = dgvAllDisplay.Rows[RowCnt];
 
                 string NegoStr = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.Negotiation].Value);
-                
-                if (NegoStr.Equals(s_NegoStr[(int)NegotiateNo.NegotiateNot]))
-                {   // 未交渉➝交渉済み
+
+                if (NegoStr.Equals(s_NegoStr[(int)NegotiateNo.Blank]))
+                {   // 未定➝交渉済み
                     NegoStr = s_NegoStr[(int)NegotiateNo.Negotiated];
                 }
                 else if (NegoStr.Equals(s_NegoStr[(int)NegotiateNo.Negotiated]))
-                {   // 交渉済み➝未定
-                    NegoStr = s_NegoStr[(int)NegotiateNo.Blank];
+                {   // 交渉済み➝交渉中
+                    NegoStr = s_NegoStr[(int)NegotiateNo.NegotiateNot];
                 }
                 else
-                {   // 未定➝未交渉
-                    NegoStr = s_NegoStr[(int)NegotiateNo.NegotiateNot];
+                {   // 交渉中➝未定
+                    NegoStr = s_NegoStr[(int)NegotiateNo.Blank];
                 }
 
                 wrkRow.Cells[(int)GridColumn.Negotiation].Value = NegoStr;
@@ -4188,50 +4474,89 @@
             try
             {
                 bool bPermit = false;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    // システム管理者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                {
-                    // 最高機密管理者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                {
-                    // 統括責任者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                    {
+                        // システム管理者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                    {
+                        // 最高機密管理者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
+                    {
+                        // 統括責任者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                    {
 
-                    // 上長は工事が自部署の関連だけ
-                    List<int> PersonList = new List<int>();
-                    PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
-                    PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
-                    if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
-                    if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
+                        // 上長は工事が自部署の関連だけ
+                        List<int> PersonList = new List<int>();
+                        PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
+                        PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
+                        if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
+                        if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
 
-                    foreach (int Personcode in PersonList)
-                    {
-                        string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
-                        PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                        if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
+                        foreach (int Personcode in PersonList)
+                        {
+                            string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
+                            PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                            if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
 
-                        // 所属上長では無ければfalse
-                        if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
-                        {
-                            bPermit = true;
-                            break;
+                            // 所属上長では無ければfalse
+                            if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
+                            {
+                                bPermit = true;
+                                break;
+                            }
                         }
+
                     }
-
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                    {
+                        // 一般ユーザー
+                        bPermit = false;
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                else
                 {
-                    // 一般ユーザー
-                    bPermit = false;
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                    int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
+                    int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
+                    int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;      // 一般者アクセス
+
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)                               // システム管理者
+                    {
+                        // ===== 全データ対象の場合はOK
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)       // 経営者アクセス
+                    {
+                        // ===== 全データ対象の場合はOK
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key)       // 統括者アクセス
+                    {
+                        // ===== 統括者アクセス対象の条件を調べる
+                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)       // 所属長アクセス
+                    {
+                        // ===== 所属長アクセス対象の条件を調べる
+                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[NRank].Key)       // 一般者アクセス
+                    {
+                        // ===== 一般者アクセス対象の条件を調べる
+                        // 一般ユーザー
+                        bPermit = false;
+                    }
                 }
                 return bPermit;
             }
